Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Useful script to filter through what will be emerged quickly
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
norvillebarnes
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jun 2003
Posts: 116
Location: Sudbury, ON Canada

PostPosted: Wed Sep 10, 2003 3:04 pm    Post subject: Reply with quote

Thanks Optilude for a couple of awesome scripts.

Now, my troubles...

I'm trying to upgrade to KDE 3.1.3 but when I emerge -up kde, things like gcc, xfree, baselayout etc. show up as deps. I just built this system last week and the upgrades are in 'r' numbers only (and by one). I really don't want to waste the time and bandwidth emergeing these packages, so these scripts are perfect.

I run: femerge -up kde, and unselect the packages I don't want to upgrade. Then OK.
It then does: calculating dependencies..., and then prints the list, but the packages I unselected are still there followed by:
Code:
Error: emerge p-

Then the options to filter again etc... If I refilter, the same thing happens.
Any ideas??
Thanks, and sorry for being long-winded.
Back to top
View user's profile Send private message
Vagabond
Apprentice
Apprentice


Joined: 19 Jan 2003
Posts: 192

PostPosted: Wed Sep 10, 2003 8:37 pm    Post subject: Reply with quote

Don't fun femerge with the -p option (since you don't need the pretend option as femerge lets you see and deselect the packages to be emerged).

However I also have the problem where the packages I deselect still come up in the packages it wants to emerge list, even if I refilter.

Vag
Back to top
View user's profile Send private message
pross
Apprentice
Apprentice


Joined: 30 Jul 2003
Posts: 156
Location: Ireland

PostPosted: Wed Sep 10, 2003 8:59 pm    Post subject: cat get it to work :( Reply with quote

Ive tried copy+paste with konq and mozilla tried taking out the 'phantom' spaces i just get all sorts of errors like
Quote:
./femerge: line 394: unexpected EOF while looking for matching `''
./femerge: line 490: syntax error: unexpected end of file
:(
Back to top
View user's profile Send private message
norvillebarnes
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jun 2003
Posts: 116
Location: Sudbury, ON Canada

PostPosted: Wed Sep 10, 2003 9:24 pm    Post subject: Reply with quote

Vagabond wrote:
Don't fun femerge with the -p option (since you don't need the pretend option as femerge lets you see and deselect the packages to be emerged).


Thanks, tried it and the same error comes up. Wierd. Still getting the same packages over and over. Maybe I'll try it with a -u world.
Back to top
View user's profile Send private message
optilude
Apprentice
Apprentice


Joined: 29 May 2002
Posts: 248
Location: England

PostPosted: Sat Oct 11, 2003 10:46 pm    Post subject: Reply with quote

Vagabond wrote:

However I also have the problem where the packages I deselect still come up in the packages it wants to emerge list, even if I refilter.


Sorry for the late reply... holiday! Plus the email notifications seem to have stopped...

Well, I'm a little uncertain what you're trying to do, but if you're just trying to emerge *one* program, femerge is not very useful. It won't circumvent emerge depdendency checking, so if a package requires a newer version of another package and emerge wants to install it, it will come back even if you deselect it - otherwise, you'd end up with a broken system!

Are you sure you want to do -u? If you're just installing some packages and want to check the version numbers before installing, just run "femerge abc def". If I'm remembering correctly, -u will always try to update everthing to the lastest version; if all you want is the latest gaim or whatever, just do emerge -p gaim; this will pick the latest version; do -U, you'll avoid reinstalling if no new version is available.

I'm a little careful to say this is definately what you want, though, because the "kde" package is a virtual that includes all the other kde-base packages. However, thinking about the way KDE releases work, the version number of the "kde" virtual and the individual packages in kde-base should always be the same, so probably you really want to do "femerge -U kde", or probably just "emerge -U kde", since femerge won't be able to anything except deselect all packages selected or none of them.

Sorry about the bad English... been up for too long. Coffee!

Martin
_________________
--
"Life is both a major and a minor key" -- Travis
Back to top
View user's profile Send private message
Hagar
Guru
Guru


Joined: 11 Feb 2003
Posts: 445

PostPosted: Sun Oct 12, 2003 12:47 am    Post subject: Re: cat get it to work :( Reply with quote

pross wrote:
Ive tried copy+paste with konq and mozilla tried taking out the 'phantom' spaces i just get all sorts of errors like
Quote:
./femerge: line 394: unexpected EOF while looking for matching `''
./femerge: line 490: syntax error: unexpected end of file
:(

Instead of copy/pasting the html page directly click on the [img:9309625fcd]http://forums.gentoo.org/templates/gentoo/images/lang_english/icon_quote.gif[/img:9309625fcd] button.
Then copy/paste the code from the textfield, this way you'll always get the exact same code as the user who posted it.

I think I'll take this as a signature :)
Back to top
View user's profile Send private message
monicajae
Guru
Guru


Joined: 03 Sep 2003
Posts: 363
Location: Dorset, VT

PostPosted: Tue Oct 28, 2003 2:06 pm    Post subject: That's Amore! Reply with quote

I love this script (femerge). It works perfectly pour moi!
_________________
"Conformity is the jailer of freedom and the enemy of growth." -- John F. Kennedy

"Those who dare to fail miserably can achieve greatly." -- John F. Kennedy
Back to top
View user's profile Send private message
monicajae
Guru
Guru


Joined: 03 Sep 2003
Posts: 363
Location: Dorset, VT

PostPosted: Thu May 20, 2004 3:26 am    Post subject: error!!! Reply with quote

This is the error I get when I evoke the command: femerge -u world:


Code:
*Calculating dependencies...
* Calculating dependencies...

         Then it just goes to the next output  and I get:

 ".

 !!!Error calculating dependencies.  Please correct.
  * Erro:r emerge -p                                                                                                                                                                           [!!]

  * Press (e) to emerge, (f) to filter again, (a) to abort:



if I press (f), it just cuts out on me. I have no clue what to do, and I happen to really like this app and hope to have it working again soon

thanks :?
_________________
"Conformity is the jailer of freedom and the enemy of growth." -- John F. Kennedy

"Those who dare to fail miserably can achieve greatly." -- John F. Kennedy
Back to top
View user's profile Send private message
optilude
Apprentice
Apprentice


Joined: 29 May 2002
Posts: 248
Location: England

PostPosted: Thu May 20, 2004 11:30 am    Post subject: Reply with quote

mm.... this is happening for me as well. Something must've changed in emerge's output format. I had plans of overhauling this application for a while, but I've been much to busy to even get started. I'll see what I can do after my exams are done - patches very much welcome!

Martin
_________________
--
"Life is both a major and a minor key" -- Travis
Back to top
View user's profile Send private message
monicajae
Guru
Guru


Joined: 03 Sep 2003
Posts: 363
Location: Dorset, VT

PostPosted: Sat May 22, 2004 12:34 am    Post subject: Reply with quote

:/
_________________
"Conformity is the jailer of freedom and the enemy of growth." -- John F. Kennedy

"Those who dare to fail miserably can achieve greatly." -- John F. Kennedy
Back to top
View user's profile Send private message
t0rkel
n00b
n00b


Joined: 10 Sep 2003
Posts: 2
Location: Oslo, Norway

PostPosted: Thu Aug 12, 2004 11:15 pm    Post subject: Reply with quote

Any progress on this very useful script? :)

Aften an upgrade of Dialog to the latest version from the portage (dev-util/dialog-0.9_beta20031207) femerge no longer works.. this is what I get :

camelot /# femerge world
* Calculating dependencies...
* Calculating dependencies...

Then the screen goes blank with no menu and just the choices of emerge, filter or abort...

:roll:
Back to top
View user's profile Send private message
monicajae
Guru
Guru


Joined: 03 Sep 2003
Posts: 363
Location: Dorset, VT

PostPosted: Fri Aug 13, 2004 12:04 am    Post subject: Reply with quote

t0rkel wrote:
Any progress on this very useful script? :)



ditto
Back to top
View user's profile Send private message
optilude
Apprentice
Apprentice


Joined: 29 May 2002
Posts: 248
Location: England

PostPosted: Fri Aug 13, 2004 12:05 am    Post subject: Reply with quote

t0rkel wrote:
Any progress on this very useful script? :)

Aften an upgrade of Dialog to the latest version from the portage (dev-util/dialog-0.9_beta20031207) femerge no longer works


Poop. :-(

I'd love to fix it, I really would, but at the moment, I'm so over-worked I can hardly get an hour in edgewise. It's going to have to wait, probably till October at least (and do remind me again - optilude@gmx.net - 'cos I' likely to forget). If someone has a fix, please post it here and/or email it to me.

Really sorry!

Martin
_________________
--
"Life is both a major and a minor key" -- Travis
Back to top
View user's profile Send private message
PenguinPower
n00b
n00b


Joined: 21 Apr 2002
Posts: 10

PostPosted: Wed Nov 10, 2004 9:00 am    Post subject: Reply with quote

t0rkel wrote:
Any progress on this very useful script? :)

Aften an upgrade of Dialog to the latest version from the portage (dev-util/dialog-0.9_beta20031207) femerge no longer works.. this is what I get :

camelot /# femerge world
* Calculating dependencies...
* Calculating dependencies...

Then the screen goes blank with no menu and just the choices of emerge, filter or abort...

:roll:

First of all great script

There is a very simple solution to make it compatible to the new dialog version:
on line 49 you see this line:
Code:
eval "dialog --title 'Portage ebuild filter' --separate-output \

just insert --stdout after dialog so it will show:
Code:
eval "dialog --stdout --title 'Portage ebuild filter' --separate-output \


Now it works again!
Back to top
View user's profile Send private message
optilude
Apprentice
Apprentice


Joined: 29 May 2002
Posts: 248
Location: England

PostPosted: Thu Nov 11, 2004 12:32 am    Post subject: Reply with quote

I've not tested this yet, but if it works - thanks! Great work! I've not had time to look at this script in so long it's ridiculous! :-)

Martin
_________________
--
"Life is both a major and a minor key" -- Travis
Back to top
View user's profile Send private message
joefish
Guru
Guru


Joined: 27 Jan 2004
Posts: 316
Location: New Zealand

PostPosted: Wed Nov 24, 2004 1:20 am    Post subject: Reply with quote

I tested this and it works for me :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum